/*-----------------------------------------------------------------------------
[名称]	OwnerTabCtrl.h
[概要]	インテリジェントなタブコントロールクラスのヘッダ
[備考]	なし
[履歴]	2003-02-25	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_OWNERTABCTRL_H_INCLUDED_)
#define AFX_OWNERTABCTRL_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/*-----------------------------------------------------------------------------
[名称]	インテリジェントなタブコントロールクラス
[用途]	子ダイアログをページとして表示するタブコントロール。
[備考]	AddPage()する際、TC_ITEM.lParam に
		ページとして表示するダイアログのポインタを渡すこと。
-----------------------------------------------------------------------------*/
class COwnerTabCtrl : public CTabCtrl
{
public:
	// 生成
	COwnerTabCtrl();

	// ページ成形
	void ReflectPagez();

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(COwnerTabCtrl)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL

public:
	// 破棄
	virtual ~COwnerTabCtrl();
	
	void ShowPrevPage();
	void ShowNextPage();

	// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(COwnerTabCtrl)
	afx_msg void OnSelchange(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG


	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_OWNERTABCTRL_H_INCLUDED_)
